AjaxListenerHandler (RichFaces JSF components library 3.2.0.CR4 API)
Keywords: org.ajax4jsf.taglib.html.facelets.AjaxListenerHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.taglib.html.facelets
Class AjaxListenerHandler

    java.lang.Object
      com.sun.facelets.tag.TagHandler
          org.ajax4jsf.taglib.html.facelets.AjaxListenerHandler

All Implemented Interfaces:
  com.sun.facelets.FaceletHandler

    public final class AjaxListenerHandler

extends com.sun.facelets.tag.TagHandler

Register an ActionListener instance on the UIComponent associated with the closest parent UIComponent custom action.

See tag documentation.

Version:
  $Id: AjaxListenerHandler.java,v 1.1.2.1 2007/02/01 15:31:23 alexsmirnov Exp $
Author:
  Jacob Hookom
See Also:
  `ActionListener`, `javax.faces.component.AjaxContainer`

Field Summary

Fields inherited from class com.sun.facelets.tag.TagHandler
`nextHandler, tag, tagId`

Constructor Summary
`AjaxListenerHandler(com.sun.facelets.tag.TagConfig config)`

Method Summary
`void` | `apply(com.sun.facelets.FaceletContext ctx, javax.faces.component.UIComponent parent)`

Methods inherited from class com.sun.facelets.tag.TagHandler
`findNextByType, getAttribute, getRequiredAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AjaxListenerHandler

    public AjaxListenerHandler(com.sun.facelets.tag.TagConfig config)

Parameters:
  `config` -

Method Detail

### apply

    public void apply(com.sun.facelets.FaceletContext ctx,
                      javax.faces.component.UIComponent parent)
               throws java.io.IOException,
                      javax.faces.FacesException,
                      com.sun.facelets.FaceletException,
                      javax.el.ELException

  Throws:
    `java.io.IOException`
    `javax.faces.FacesException`
    `com.sun.facelets.FaceletException`
    `javax.el.ELException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.